### Syncfusion Blazor DataGrid

This package contains the [Blazor DataGrid Component](https://www.syncfusion.com/blazor-components/blazor-datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) for Blazor application. The Syncfusion Blazor DataGrid component is used to display and manipulate tabular data with configuration options to control the way the data is presented. It can pull data from data sources such as IEnumerable objects, OData web services, or DataManager and binding data fields to columns. It also displays the column header to identify the field with support for grouped records.The most important features available in the datagrid component are paging, sorting, filtering, searching, and grouping.

![Blazor DataGrid](https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/blazor/blazor-datagrid.png)

### System Requirements

* [System Requirements](https://blazor.syncfusion.com/documentation/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

### Getting Started

* [Getting Started with Blazor DataGrid](https://blazor.syncfusion.com/documentation/datagrid/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)
* [Getting Started with Blazor DataGrid in WebAssembly App](https://blazor.syncfusion.com/documentation/datagrid/how-to/blazor-webassembly-datagrid-using-visual-studio?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)
* [Getting Started with Blazor DataGrid in Server App using CLI](https://blazor.syncfusion.com/documentation/datagrid/how-to/server-side-using-cli?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)
* [Getting Started with Blazor DataGrid in WebAssembly App using CLI](https://blazor.syncfusion.com/documentation/datagrid/how-to/blazor-webassembly-data-grid-using-cli?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)
* [Getting Started with Blazor DataGrid Video Tutorial](https://www.youtube.com/watch?v=ClAlwPUv0_s?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

### Help Resources

* [Blazor DataGrid Component Features Overview](https://www.syncfusion.com/blazor-components/blazor-datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)
* [Blazor DataGrid Component Documentation](https://blazor.syncfusion.com/documentation/datagrid/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)
* [Blazor DataGrid Component Demos](https://blazor.syncfusion.com/demos/datagrid/overview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)
* [Blazor DataGrid Component Video Tutorials](https://www.syncfusion.com/tutorial-videos/blazor/data-grid?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)

### Support and feedbacks

* For queries, reach our [Syncfusion support team](https://www.syncfusion.com/support/directtrac/incidents/newincident?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) or post the queries through the [community forums](https://www.syncfusion.com/forums/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget). 
* Request new feature through [Syncfusion feedback portal](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget).


### License

This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget). You can purchase a license [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget).

### About Syncfusion

Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-datagrid-nuget) | Toll Free: 1-888-9 DOTNET
